"use strict";

exports.Context = void 0;

var _inspectable = require("inspectable");

var _utils = require("../utils");

/**
 * @hidden
 */
class Context {
  /**
   * @hidden
   */
  constructor({
    options,
    client,
    api,
    payload
  }) {
    /**
     * @hidden
     */
    this.payload = {};
    this.options = options;
    this.client = client;
    this.api = api;

    if (payload) {
      this.payload = payload;
    }
  }
  /**
   * @hidden
   */


  setupPayload() {
    if (this.payload) {
      (0, _utils.applyPayload)(this, this.payload);
    }
  }
  /**
   * Get context JSON
   */


  toJSON() {
    return this[_utils.kSerializeData]();
  }
  /**
   * @hidden
   */


  [_utils.kSerializeData]() {
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const {
      options,
      client,
      ...payload
    } = this;
    return payload;
  }

}

exports.Context = Context;
(0, _inspectable.inspectable)(Context, {
  serialize: instance => instance.toJSON(),
  stringify: (instance, payload, context) => `${context.stylize(instance.constructor.name, 'special')} ${context.inspect(payload)}`
});