export declare type Username = string;
export declare type Hash = string;
export interface IUsername {
    username: Username;
    changed_at: string | null;
    timestamp: number | null;
}
export declare enum Sort {
    ASC = "asc",
    DESC = "desc"
}
export declare type SortUnion = `${Sort}`;
export interface IGetFollowersOptions {
    /**
     * Sort filter
     */
    sort?: FollowersSort;
    /**
     * Page number
     */
    page?: number;
}
export declare type FollowersSort = Partial<Record<'profile' | 'date' | 'following', Sort | SortUnion>>;
/**
 * @hidden
 */
export declare enum FollowersSection {
    FOLLOWING = "following",
    FOLLOWERS = "followers"
}
/**
 * @hidden
 */
export declare type FollowersSectionUnion = `${FollowersSection}`;
/**
 * @hidden
 */
export interface ILoadFollowersOptions extends IGetFollowersOptions {
    section: FollowersSection | FollowersSectionUnion;
}
