export declare enum ErrorDescription {
    UNKNOWN = "Unknown error.",
    CLOUDFLARE = "NameMC uses CloudFlare, which blocks requests from bots. Use CloudProxy. Check out the README for more information.",
    INVALID_NICKNAME = "$0 is invalid Minecraft nickname.",
    NOT_FOUND = "Resource not found.",
    NO_USEFUL = "There is no useful information in the data received, try later or report this to the Github issue.",
    SERVER_OFFLINE = "Server $0 offline."
}
/**
 * @hidden
 */
export declare class WrapperError extends Error {
    readonly code: keyof typeof ErrorDescription;
    readonly name: string;
    constructor(error: keyof typeof ErrorDescription, params?: string | string[]);
    get [Symbol.toStringTag](): string;
    toJSON(): any;
}
