"use strict";

exports.Options = void 0;

var _contexts = require("./contexts");

var _utils = require("./utils");

class Options {
  constructor(options) {
    this.proxy = '';
    this.endpoint = 'namemc.com';
    const urlOptions = ['proxy'];
    urlOptions.forEach(option => {
      const optionValue = options[option];

      if (optionValue !== null && optionValue !== void 0 && optionValue.endsWith('/')) {
        options[option] = optionValue.slice(0, optionValue.length - 1);
      }
    });
    (0, _utils.applyPayload)(this, options);
  }

  getEndpoint({
    subdomain = '',
    domain = ''
  } = {}) {
    const {
      proxy,
      endpoint,
      rendersIgnoreProxy,
      cloudProxy
    } = this;
    const prefix = rendersIgnoreProxy && domain === _contexts.RendersContext.DOMAIN || cloudProxy && proxy ? '' : proxy ? `${proxy}/` : '';
    return `${prefix}https://${subdomain ? `${subdomain}.` : ''}${domain || endpoint}`;
  }

}

exports.Options = Options;