import { AxiosInstance } from 'axios';
import { API } from './api';
import { Options } from './options';
import { ServerContext, SkinContext } from './contexts';
/**
 * @hidden
 */
export declare abstract class DataParser {
    abstract readonly options: Options;
    abstract readonly client: AxiosInstance;
    abstract readonly api: API;
    /**
     * @hidden
     */
    protected parseSkins(data: string): SkinContext[];
    /**
     * @hidden
     */
    protected parseServers(data: string): ServerContext[];
    /**
     * @hidden
     */
    protected getProfileId(data: string): string;
}
