"use strict";

exports.DataParser = void 0;

var _cheerio = require("cheerio");

var _contexts = require("./contexts");

var _utils = require("./utils");

/**
 * @hidden
 */
class DataParser {
  /**
   * @hidden
   */
  parseSkins(data) {
    const $ = _cheerio.default.load(data);

    return $('div.card-body.position-relative.text-center.checkered.p-1').map((index, card) => new _contexts.SkinContext({
      data: card,
      ...this
    })).get();
  }
  /**
   * @hidden
   */


  parseServers(data) {
    const $ = _cheerio.default.load(data);

    return $('a.card-link').map((index, data) => new _contexts.ServerContext({
      data,
      ...this
    })).get();
  }
  /**
   * @hidden
   */


  getProfileId(data) {
    const $ = _cheerio.default.load(data);

    const [profileId] = $('div.card-header.py-1 > strong > a').map((index, element) => {
      const isProfileSkinsUrl = _utils.profileSkinsRegExp.exec(element.attribs.href);

      if (isProfileSkinsUrl) {
        return isProfileSkinsUrl[1];
      }
    }).get();
    return profileId;
  }

}

exports.DataParser = DataParser;