"use strict";

exports.Style = exports.Color = void 0;
exports.escapeColorsClasses = escapeColorsClasses;

/**
 * Minecraft HEX colors
 */
var Color;
exports.Color = Color;

(function (Color) {
  Color["BLACK"] = "000000";
  Color["DARK_BLUE"] = "0000AA";
  Color["DARK_GREEN"] = "00AA00";
  Color["DARK_AQUA"] = "00AAAA";
  Color["DARK_RED"] = "AA0000";
  Color["DARK_PURPLE"] = "AA00AA";
  Color["GOLD"] = "FFAA00";
  Color["GRAY"] = "AAAAAA";
  Color["DARK_GRAY"] = "AAAAAA";
  Color["BLUE"] = "5555FF";
  Color["GREEN"] = "55FF55";
  Color["AQUA"] = "55FFFF";
  Color["RED"] = "FF5555";
  Color["LIGHT_PURPLE"] = "FF55FF";
  Color["YELLOW"] = "FFFF55";
  Color["WHITE"] = "FFFFFF";
  Color["RESET"] = "AAAAAA";
})(Color || (exports.Color = Color = {}));
/**
 * Minecraft formatting css styles
 */


var Style;
exports.Style = Style;

(function (Style) {
  Style["BOLD"] = "font-weight: bold;";
  Style["UNDERLINED"] = "text-decoration: underline;";
  Style["STRIKETHROUGH"] = "text-decoration: line-through;";
  Style["ITALIC"] = "font-style: italic;";
})(Style || (exports.Style = Style = {}));

function escapeColorsClasses(elements) {
  return elements.map(element => {
    var _element$attribs;

    if (element.children && element.children.length !== 1) {
      return escapeColorsClasses(element.children);
    }

    if ((_element$attribs = element.attribs) !== null && _element$attribs !== void 0 && _element$attribs.class) {
      element.attribs.style = element.attribs.class.split(' ').map(style => {
        style = style.replace('mc-', '').replace('-', '_');

        if (Object.keys(Style).includes(style.toUpperCase())) {
          return Style[style];
        }

        return `color: #${Color[style.toUpperCase()]};`;
      }).join('');
      delete element.attribs.class;
    }

    return element;
  }).flat(Infinity);
}