"use strict";

exports.getUUID = getUUID;

var _axios = require("axios");

var _error = require("../error");

var _utils = require("../utils");

async function getUUID(endpoint, username) {
  var _isNickname$groups;

  const isNickname = username.match(_utils.nameRegExp);

  if (!isNickname) {
    throw new _error.WrapperError('INVALID_NICKNAME', username);
  }

  return ((_isNickname$groups = isNickname.groups) === null || _isNickname$groups === void 0 ? void 0 : _isNickname$groups.uuid) ?? (await _axios.default.get(`${endpoint}/mojang/v1/user/${username}`).then(({
    data: {
      uuid
    }
  }) => uuid).catch(error => {
    var _error$response;

    throw (error === null || error === void 0 ? void 0 : (_error$response = error.response) === null || _error$response === void 0 ? void 0 : _error$response.status) === 404 ? new _error.WrapperError('NOT_FOUND', username) : error;
  }));
}